Vous trouverez ci-dessous la liste des pré-requis techniques pour une installation de web-delib version 4.2.

 

Du côté serveur

Les pré-requis matériels

  • CPU : 64 bit, 2 vCPU ou dual-core minimum.
  • Disque dur : 60Go minimum
  • Mémoire : 6 Go minimum pour le serveur.
  • 2 Go pour Apache, PHP et PostgreSQL
  • 2 Go pour l'outil de fusion de document Gedooo
  • 1 Go pour l'outil de convertion cloudooo/LibreOffice

NB : Le système d'exploitation consomme aussi des ressources

Pour une installation séparée de l'application et des outils de conversion/fusion.

Serveur de l'application web-delib :

CPU: 64 bit, 2 vCPU ou dual-core minimum.

Mémoire : 2 Go pour apache, PHP et PostgreSQL, soit 2 à 3Go pour le serveur

Serveur des outils de conversion et fusion :

CPU : 64 bit, 2 vCPU ou dual-core minimum.

Mémoire : 2 Go pour l'outil de fusion de document Gedooo, 1 Go pour l'outil de convertion cloudooo/LibreOffice, soit 3 à 4Go pour le serveur

NB : Ces valeurs sont des minima absolus de démarrage, et ne constituent pas des valeurs de confort ni de production.

ADULLACT recommande un serveur GNU/Linux.

L'installation a été validée sur la plate-forme de référence Ubuntu 12.04 Server LTS (plate-forme supportée). Le web-delib peut également être installé sur d'autres systèmes d'exploitation de la même famille: , Debian, Fedora/CentOS/RedHat ES, Mandriva Server, Gentoo, SUSE... sous réserve que les pré-requis logiciels ci-dessous soient respectés, et sous réserve de validation par les équipes techniques de l'Adullact. Pendant l'installation, le serveur doit être connecté à Internet afin de récupérer et installer les dernières mises-à-jour de composants logiciels disponibles.

Les pré-requis logiciels

Service OpenSSH activé pour permettre l'installation et opérations de maintenance.

Postgresql 9.2 Apache 2.2.x, agrémenté des modules complémentaires mod_rewrite, dav, dav_fs, actions, mod_ssl.

PHP 5.3.x, avec les modules : soap pgsql xsl curl dom zlib imagick Framework CakePHP : 2.2.9 Librairie PEAR : XML_RPC2 FIDO 1.3.1 pdfinfo pdftk

GED'OOo 0.8.05, avec ses pré-requis : tomcat 6.0.x java 6.x Cloudooo 1.2.5, avec ses pré-requis: Python 2.6, 2.7

LibreOffice 3.5 ou supérieur (compatible Cloudooo 1.2.5)

Lors de l'installation plusieurs points sont à vérifier. La ré-écriture (rewrite) d'url pour le framework CakePHP, les droits utilisateurs sur la base de données.

Les pré-requis système

Il faut ouvrir les ports suivants :

En entrée HTTP(80) TCP HTTPS(443) TCP En sortie HTTPS(443) TCP SMTP(25) TCP

 

Pour les postes utilisateurs

Navigateur WEB

web-delib nécessite l'utilisation exclusive d'un navigateur WEB.

Navigateur Compatibilité Web-delib
Chrome 29+ OK
Firefox 21+ OK
IE 7 Non supporté
IE 8 Non supporté
IE 9 OK
IE 10 OK
IE 11 OK
Safari 5.1.9+ Non testé

Bureautique

web-delib requiert également l'utilisation d'un outil bureautique manipulant correctement le format ODT. Toutes les versions LibreOffice et OpenOffice.org depuis la version 3 sont compatibles. Nous recommandons toutefois les versions traitant par défaut le format ODT v1.2 (LO4.0+, OOo4.0+). Et d'une manière générale d'utiliser la dernière version.

NB : LO4.1 pose un lock lors d'une utilisation en mode WebDav: Ne pas oublier de poser un "delocker" dans ce cas!

Même si web-delib fonctionne à 99% avec MSoffice, nous déconseillons l'utilisation de MSoffice (toutes versions) tant que le format ODT ne sera pas complètement traité par cet outil bureautique.

NB : MSoffice et LO/OOo cohabitent parfaitement sur un même poste de travail. Exemple: MSoffice peut être conservé comme outil bureautique standard; LO/OOo peut être considéré comme l'outil bureautique intégré avec web-delib (voir configuration webdav et les gabarits (WD4.2+). Pour plus d'informations visiter la forge http://adullact.net/projects/webdelib/